<script setup lang="ts">
  import { emitsKey, propsKey } from './model';

  const props = inject(propsKey);
  const emits = inject(emitsKey);
</script>
<template>
  <SwTooltip :content="$t('attendees')" position="topCenter" width="max-width">
    <SwButton
      fab
      :variant="props?.participantsToolsController?.participantsBtn?.on ? 'primary' : 'action'"
      :badge="props?.participantsToolsController?.participantsBtn?.count"
      @click="emits?.onChange('toggleParticipantsTools')"
    >
      <template #icon>
        <span class="i-sw-solid:users" />
      </template>
    </SwButton>
  </SwTooltip>
</template>
